Subject: Re: [PATCH] of_net: Implement of_get_nvmem_mac_address helper

From: Andrew Lunn <[email-masked]>
Date: Sat, 24 Mar 2018 19:53:24 +0100

> A quick survey for the of_get_mac_address users learns that most of them do
> a memcpy (or similar) right after it, so for these drivers the
> "of_get_nvmem_mac_address" style signature that performs the memcpy (or
> better, ether_addr_copy) is a better fit, e.g.:
> 
> int of_get_mac_address(struct device_node *np, void *addr)

Hi Mike

This is a nicer solution, but it is quite a lot of work, there are a
lot of users. Maybe Coccinelle can help?

    Andrew